<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
<main>
    <section class="questions">
        <h4>
            Опишіть, як можна створити новий HTML тег на сторінці.
        </h4>

        <div>
            Новий елемент можна створити за допомогою методу document.createElement('tagName').
            Приклад: document.createElement('div');
            Щоб елемент з'явився на сторінці, його треба додати до DOM-дерева за допомогою методу append().
            Приклад: document.body.append(newElement);
        </div>

        <h4>
            Опишіть, що означає перший параметр функції insertAdjacentHTML і опишіть можливі варіанти цього параметра.
        </h4>

        <div>
            Перший параметр функції insertAdjacentHTML визначає позицію, в якій буде вставлено HTML-код.
            Всього є 4 позиції:
            <ul>
                <li>beforebegin - перед елементом</li>
                <li>afterbegin - в середині елемента, в самому початку</li>
                <li>beforeend - в середині елемента, в самому кінці</li>
                <li>afterend - після елемента</li>
            </ul>
        </div>

        <h4>
            Як можна видалити елемент зі сторінки?
        </h4>

        <div>
            Елемент можна видалити за допомогою методу remove().
            Приклад: element.remove();
        </div>
    </section>
    <section class="task">

    </section>
</main>
<script src="./js/common.js"></script>
</body>
</html>